View Issue Details

IDProjectCategoryView StatusLast Update
0002234Ham Radio DeluxeBugpublic2019-05-27 15:04
ReporterKB3NPHAssigned ToJOSE 
PrioritynormalSeveritymajorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version6.5.0.196 
Summary0002234: M2 AZ/EL Gauges in Rotor Control not working
DescriptionTicket# 241778
in HRD Rotator, when we upgrade HRD to version 6.4.0.777, the driver for the 'Herrin RT-21' goes missing. There is drivers for 'Herrin RT-20', and for the 'Herrin RT-21 Az/El', however, the driver for the 'Herrin RT-21' is not there. trying both the RT-20 and RT-21 Az/El does not work. When we rolled back to an older version (6.4.0.647), the driver is back.

Also in HRD Rotator, we are unable to get HRD Rotator to display the current Az/El information for our M2 RC2800PRKX. It will show the Az information for the Herrin RT-21s just fine, but does not show any information on the gauges for the M2 RC2800PRKX. HRD Rotator -does- appear to send data to the controller, and moves it where it is supposed to, however, the 'needles' in the gauges stay at 0 and 0 for both Azimuth and Elevation, and they never change. I've attached a screenshot showing that HRD Rotator is connected to the controller (as M2 AzEl), but that the gauges stay at '0/0'. (The rotator is parked at 70/70, and does move when you input new Az/El information. It just doesn't show any information on the gauges).

Additional InformationHere is additional information customer just provided after updating to V6.4.0.780

Updated HRD to the latest version (6.4.780), and that resolved the issue with the Heron RT-21 not showing up, so that portion works properly now. However, the issue with the M2 AzEl gauges not working still persists. We've verified that the M2 RC2800PRKX is working properly with M2's program, connecting via Console and via PST Rotator, and those programs all report data correctly, so it's an issue specifically with HRD not recognizing the data for the gauges properly. Can you look into that for us?
TagsNo tags attached.
ModuleRotator
Sub-ModuleFunctional
TestingNot Started

Activities

JOSE

2019-01-30 16:52

developer   ~0007168

Could you provide a screenshot of the Log Output to see what the M2 AZEL controller is returning?

JOSE

2019-02-12 21:14

developer   ~0007364

HRD Rotator was following documentation that had some errors and verified with actual M2 controller. Changes have been made to fix the issues.

Issue History

Date Modified Username Field Change
2017-08-31 09:25 KB3NPH New Issue
2018-03-04 00:53 WA9PIE Status new => assigned
2018-03-04 00:53 WA9PIE Assigned To => JOSE
2018-03-04 00:54 WA9PIE Project 1 - Backlog => 3 - Current Dev List
2019-01-30 16:52 JOSE Note Added: 0007168
2019-02-12 21:14 JOSE Status assigned => resolved
2019-02-12 21:14 JOSE Resolution open => fixed
2019-02-12 21:14 JOSE Fixed in Version => 6.5.0.192
2019-02-12 21:14 JOSE Note Added: 0007364
2019-02-24 14:35 WA9PIE Fixed in Version 6.5.0.192 => 6.5.0.196
2019-02-24 15:13 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2019-03-01 19:26 WA9PIE Fixed in Version 6.5.0.196 => 6.5.0.199
2019-03-01 19:27 WA9PIE Fixed in Version 6.5.0.199 => 6.5.0.196
2019-05-27 15:04 WA9PIE Status resolved => closed